
@import 'breakpoints';
@import 'normalize';

html {
  box-sizing: border-box;
  overflow-y:visible;

  -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;

  -moz-osx-font-smoothing: grayscale;
   -webkit-font-smoothing: antialiased;

   -webkit-tap-highlight-color: rgba(0,0,0,0);
}

* {
  &, &:before, &:after {
    box-sizing: inherit;
  }

}



body {
  overflow-x:hidden;
  overflow-y:visible;
  line-height: 1;
  width:100%;
  position: relative;

  &.noscroll {
    overflow: hidden;
  }
}

nav {
  ul, li {
    margin: 0;
    padding:0;
    list-style:none;
  }
}

svg {
  path {
    transform-origin: 50% 50%;
  }
}

@media (max-width:$medium) {
  .hide\@sm {
    display: none !important;
  }
}

@media (min-width:$medium) and (max-width:$large) {
  .hide\@md {
    display: none !important;
  }
}

@media (min-width:$large) {
  .hide\@lg {
    display: none !important;
  }
}

.desktopOnly {
  display:none !important;
}

@include breakpoint($large) {
  .mobileOnly {
    display:none !important;
  }
  .desktopOnly {
    display:block !important;
  }
}

#page {
  max-width:$page-width;
  width:100%;
  margin:0 auto;
  overflow: hidden;
}

.container {
  width:100%;
  max-width:$page-width-inner;
  margin:0 auto;
  padding:0 $global-padding-mobile;

  @include breakpoint($large) {
    padding:0 $global-padding-desktop;
  }

  &.container--withBg {
    background-color:$color-bg-coolGrey;
  }
}

.ReactModalPortal {
  z-index:9999;
  position:relative;
}

.close {
  position:absolute;
  top:$global-padding-mobile;
  right:$global-padding-mobile;
  cursor:pointer;
  width:14px;
  height:14px;

  @include breakpoint($large) {
    top:$global-padding-desktop;
    right:$global-padding-desktop;
  }

  svg {
    width:100%;
    height:auto;
    fill:$color-accessibleGrey;
    transition: fill 0.3s;
  }

  &:hover {
    svg {
      fill:$color-slate;
    }
  }
}

.lazyload-placeholder{
}

/*body classes*/

body.partners {
  background-color:$color-bg-lightApricot;

  .footer {
    background-color: inherit;
  }
}

